﻿$(document).ready(function () {
    loadData();
});

function loadData() {
    var dataUrl = '<%= ResolveUrl("~/Default.aspx/GetGridData") %>';

    $("#grid").igGrid({
        dataSource: dataUrl,
        primaryKey: "ID",
        localSchemaTransform: false,
        responseDataKey: "Items",
        columns: [
            { headerText: "Product ID", key: "ID", dataType: "number" },
            { headerText: "Product Name", key: "Name", dataType: "string" }
        ],
        features: [
            {
                name: "Paging",
                type: "remote",
                pageSize: 5,
                pageIndexUrlKey: "page",
                pageSizeUrlKey: "pageSize",
                recordCountKey: "TotalRecordsCount"
            },
            {
                name: "Sorting",
                type: "remote"
            }
        ]
    });
}

